Update Team Group
curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/4/aaa/team-groups/v2/{group_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"externalId": "<string>",
"name": "<string>",
"roleUpdate": {
"action": {
"actionType": "<string>",
"clear": {
"clear": true
}
}
},
"scopeUpdate": {
"action": {
"actionType": "<string>",
"clear": {
"clear": true
}
}
},
"userUpdates": {
"operation": {
"operationType": "<string>",
"add": {
"userIds": [
"<string>"
]
}
}
}
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/4/aaa/team-groups/v2/{group_id}"
payload = {
"description": "<string>",
"externalId": "<string>",
"name": "<string>",
"roleUpdate": { "action": {
"actionType": "<string>",
"clear": { "clear": True }
} },
"scopeUpdate": { "action": {
"actionType": "<string>",
"clear": { "clear": True }
} },
"userUpdates": { "operation": {
"operationType": "<string>",
"add": { "userIds": ["<string>"] }
} }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
externalId: '<string>',
name: '<string>',
roleUpdate: {action: {actionType: '<string>', clear: {clear: true}}},
scopeUpdate: {action: {actionType: '<string>', clear: {clear: true}}},
userUpdates: {operation: {operationType: '<string>', add: {userIds: ['<string>']}}}
})
};
fetch('https://api.coralogix.com/mgmt/openapi/4/aaa/team-groups/v2/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"groupId": 123,
"name": "<string>",
"role": {
"description": "<string>",
"name": "<string>",
"roleId": 123
},
"scope": {
"scopeId": "<string>"
},
"teamId": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Team Groups Management Service
Update Team Group
No description available
Update Team Group
Authorizations
API key authentication
Path Parameters
Body
application/json
Request to modify an existing team group's details, including its name, description, roles, users, and scope settings.
Available options:
GROUP_TYPE_UNSPECIFIED, GROUP_TYPE_OPEN, GROUP_TYPE_CLOSED, GROUP_TYPE_RESTRICTED Update the role assigned to the group. Either set a new role or clear the existing one.
Show child attributes
Show child attributes
Update the scope assigned to the group. Either reference an existing scope by ID or clear the scope.
Show child attributes
Show child attributes
Patch object for updating group user membership. Choose one operation: add, remove, or replace all users.
Show child attributes
Show child attributes
Response
Response containing the updated team group.
A Team Group entity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I